#! /usr/bin/perl -w
# Convert a an Origins label boulder file to w-clique format.
#
# Copyright (C) 1995, 1996 Humberto Ortiz Zuazaga and Rosemarie Plaetke.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# See the file licence.html for a copy of the GNU GPL

use strict;
use English;
use Boulder::Stream;

my $stream = new Boulder::Stream;
my $stone;
my $labelstr;
my @chromosomes;
my $mapstr;
my @markers;

while ($stone = $stream->read_record()) {
  if ($mapstr = $stone->get("MAPNAMES",0)) {
      push @markers, split ' ', $mapstr;
  }
  if ($labelstr = $stone->get("MAPLABELS",0)) {
    push @chromosomes, $labelstr
  }
}

print scalar(@markers), "\n";

print join "\n", @markers;

print "\n";

print scalar(@chromosomes), "\n";

print join "\n", @chromosomes;

print "\n";

