#!/usr/local/bin/perl -w
#
# Convert a RADMAP matrix file and list file to rhclique format.
#
# Copyright (C) 1996 Humberto Ortiz Zuazaga and Rosemarie Plaetke.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# See the file licence.html for a copy of the GNU GPL

use strict;
use English;

if (2 != scalar(@ARGV)) {
    die "Usage: rh-prep matfile listfile";
}

my $line;
my @clones;
my @markers;

open (MATFILE, $ARGV[0]) or die "Error opening matrix file $ARGV[0]";

while ($line = <MATFILE>) {
    chomp $line;
    $line =~ tr/\+\-\?\t/PMU/d;
    push @clones, $line;
}

close MATFILE;

open (LISFILE, $ARGV[1]) or die "Error opening list file $ARGV[1]";

while ($line = <LISFILE>) {
    chomp $line;
    push @markers, $line;
}

close LISFILE;

print scalar(@markers), "\n";

print join "\n", @markers;

print "\n";

print scalar(@clones), "\n";

print join "\n", @clones;

print "\n";
